> ## Documentation Index
> Fetch the complete documentation index at: https://docs.series.hr/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Attendee

> Update attendee join/leave times

Update an attendee's join and/or leave times in an attendance session (Premium/Enterprise only).

## Request

```bash theme={null}
curl -X POST https://api.series.hr/attendance/update-attendee/session_xyz789 \
  -H "apikey: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "UserId": "714760171",
    "JoinTime": "2024-01-15T10:25:00Z",
    "LeaveTime": "2024-01-15T11:50:00Z"
  }'
```

## Parameters

<ParamField path="sessionId" type="string" required>
  The attendance session ID
</ParamField>

<ParamField body="UserId" type="string" required>
  The Roblox user ID to update
</ParamField>

<ParamField body="JoinTime" type="string">
  Updated ISO 8601 join timestamp
</ParamField>

<ParamField body="LeaveTime" type="string">
  Updated ISO 8601 leave timestamp
</ParamField>

## Response

<ResponseField status={200} name="200">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "UserId": "714760171",
      "sessionId": "session_xyz789",
      "JoinTime": "2024-01-15T10:25:00Z",
      "LeaveTime": "2024-01-15T11:50:00Z",
      "duration": 4500,
      "updatedAt": "2024-01-15T12:00:00Z"
    }
  }
  ```
</ResponseField>


## OpenAPI

````yaml POST /attendance/update-attendee/{sessionId}
openapi: 3.0.0
info:
  title: Series API
  version: 1.0.0
  description: >-
    Series API — a free REST API by Sailboat Games, LLC that lets Roblox
    communities programmatically manage workspaces, staff, sessions, time-off
    and activity data.
  contact:
    name: Sailboat Games, LLC.
    email: admin@sailboatgames.com
servers:
  - url: https://api.series.hr
    description: Production API
security:
  - ApiKeyAuth: []
paths:
  /attendance/update-attendee/{sessionId}:
    post:
      tags:
        - Attendance
      summary: Update Attendee
      description: >-
        Update attendee join/leave times. Requires Premium or Enterprise
        subscription.
      parameters:
        - name: sessionId
          in: path
          required: true
          schema:
            type: string
          description: The session ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - UserId
              properties:
                UserId:
                  type: string
                  description: The Roblox user ID (required)
                JoinTime:
                  type: string
                  format: date-time
                  description: Updated join time (optional)
                LeaveTime:
                  type: string
                  format: date-time
                  description: Updated leave time (optional)
      responses:
        '200':
          description: Attendee updated
        '403':
          description: Premium/Enterprise subscription required
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Pass your API key in the `apikey` header. Alternatively, the `x-api-key`
        header is also accepted.

````